<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns="http://www.w3.org/1999/xhtml"
                xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:svg="http://www.w3.org/2000/svg"
                xmlns:html="http://www.w3.org/1999/xhtml"

                xmlns:m="http://www.w3.org/1998/Math/MathML"
                xmlns:rng="http://relaxng.org/ns/structure/1.0"
                xmlns:tei="http://www.tei-c.org/ns/1.0"
                xmlns:teix="http://www.tei-c.org/ns/Examples"
                
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                exclude-result-prefixes="#default svg a fo rng tei teix m"
                version="2.0">
   
    
    <xsl:template match="tei:figure[@type='cite-urn']">
           <xsl:call-template name="citeImage"/>
    </xsl:template>
    
    
    <xsl:template name="citeImage">
        <xsl:param name="service">http://blackwell.dyndns-web.com/chsimg2</xsl:param>
        <xsl:param name="maxSize">1000</xsl:param>
        <xsl:param name="displaySize">350</xsl:param>
        <xsl:param name="linkZoom">true</xsl:param>
        <span class="floatimage">
        <xsl:element name="img">
            <xsl:attribute name="width"><xsl:value-of select="$displaySize"/></xsl:attribute>
            <xsl:attribute name="src"><xsl:value-of select="$service"/>/Img?request=GetBinaryImage&amp;w=<xsl:value-of select="$maxSize"/>&amp;urn=<xsl:value-of select='tei:link/@target'/></xsl:attribute>
        </xsl:element>
        <br/><span class="caption"><xsl:value-of select="tei:figDesc"/></span>    
        <xsl:if test="$linkZoom = 'true'">
           <br/><span class="caption"> <xsl:element name="a">
                <xsl:attribute name="target">_blank</xsl:attribute>
                <xsl:attribute name="href"><xsl:value-of select="$service"/>/Img?request=GetIIPMooViewer&amp;urn=<xsl:value-of select='tei:link/@target'/></xsl:attribute>
                [ link to interactive view ] 
            </xsl:element></span>
        </xsl:if>
            
        </span>
        
    </xsl:template>
    

    
    <xsl:template match="tei:geo">
       <xsl:element name="a">
            <xsl:attribute name="href">http://maps.google.com/maps?q=<xsl:value-of select="."/></xsl:attribute>
            <xsl:apply-templates/>
        </xsl:element>
    </xsl:template>
    
</xsl:stylesheet>